Get schema table

- « Schema::getSession

- Schema::getTables »

- PHP Manual
- mysql_xdevapi\Schema
- Get schema table

# Schema::getTable

(No version information available, might only be in Git)

Schema::getTable — Get schema table

### Description

public mysql_xdevapi\Schema::getTable(string `$name`): mysql_xdevapi\Table

Fetch a Table object for the provided table in the schema.

### Parameters

`name`

  Name of the table.

### Return Values

A Table object.

### Examples

Example #1 mysql_xdevapi\Schema::getTable() example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();$session->sql("CREATE DATABASE addressbook")->execute();$session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();$session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();$schema = $session->getSchema("addressbook");$table  = $schema->getTable("names");$row = $table->select('name', 'age')->execute()->fetchAll();print_r($row);?>

The above example will output something similar to:

    Array
    (
        [0] => Array
            (
                [name] => John
                [age] => 42
            )
        [1] => Array
            (
                [name] => Sam
                [age] => 33
            )
    )